OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.INTEL.PerformanceQuery

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetINTELPerformanceQuery :: MonadIO m => m Bool
- gl_INTEL_performance_query :: Bool
- pattern GL_PERFQUERY_COUNTER_DATA_BOOL32_INTEL :: GLenum
- pattern GL_PERFQUERY_COUNTER_DATA_DOUBLE_INTEL :: GLenum
- pattern GL_PERFQUERY_COUNTER_DATA_FLOAT_INTEL :: GLenum
- pattern GL_PERFQUERY_COUNTER_DATA_UINT32_INTEL :: GLenum
- pattern GL_PERFQUERY_COUNTER_DATA_UINT64_INTEL :: GLenum
- pattern GL_PERFQUERY_COUNTER_DESC_LENGTH_MAX_INTEL :: GLenum
- pattern GL_PERFQUERY_COUNTER_DURATION_NORM_INTEL :: GLenum
- pattern GL_PERFQUERY_COUNTER_DURATION_RAW_INTEL :: GLenum
- pattern GL_PERFQUERY_COUNTER_EVENT_INTEL :: GLenum
- pattern GL_PERFQUERY_COUNTER_NAME_LENGTH_MAX_INTEL :: GLenum
- pattern GL_PERFQUERY_COUNTER_RAW_INTEL :: GLenum
- pattern GL_PERFQUERY_COUNTER_THROUGHPUT_INTEL :: GLenum
- pattern GL_PERFQUERY_COUNTER_TIMESTAMP_INTEL :: GLenum
- pattern GL_PERFQUERY_DONOT_FLUSH_INTEL :: GLenum
- pattern GL_PERFQUERY_FLUSH_INTEL :: GLenum
- pattern GL_PERFQUERY_GLOBAL_CONTEXT_INTEL :: GLbitfield
- pattern GL_PERFQUERY_GPA_EXTENDED_COUNTERS_INTEL :: GLenum
- pattern GL_PERFQUERY_QUERY_NAME_LENGTH_MAX_INTEL :: GLenum
- pattern GL_PERFQUERY_SINGLE_CONTEXT_INTEL :: GLbitfield
- pattern GL_PERFQUERY_WAIT_INTEL :: GLenum
- glBeginPerfQueryINTEL :: MonadIO m => GLuint -> m ()
- glCreatePerfQueryINTEL :: MonadIO m => GLuint -> Ptr GLuint -> m ()
- glDeletePerfQueryINTEL :: MonadIO m => GLuint -> m ()
- glEndPerfQueryINTEL :: MonadIO m => GLuint -> m ()
- glGetFirstPerfQueryIdINTEL :: MonadIO m => Ptr GLuint -> m ()
- glGetNextPerfQueryIdINTEL :: MonadIO m => GLuint -> Ptr GLuint -> m ()
- glGetPerfCounterInfoINTEL :: MonadIO m => GLuint -> GLuint -> GLuint -> Ptr GLchar -> GLuint -> Ptr GLchar -> Ptr GLuint -> Ptr GLuint -> Ptr GLuint -> Ptr GLuint -> Ptr GLuint64 -> m ()
- glGetPerfQueryDataINTEL :: MonadIO m => GLuint -> GLuint -> GLsizei -> Ptr a -> Ptr GLuint -> m ()
- glGetPerfQueryIdByNameINTEL :: MonadIO m => Ptr GLchar -> Ptr GLuint -> m ()
- glGetPerfQueryInfoINTEL :: MonadIO m => GLuint -> GLuint -> Ptr GLchar -> Ptr GLuint -> Ptr GLuint -> Ptr GLuint -> Ptr GLuint -> m ()

# Extension Support

glGetINTELPerformanceQuery :: MonadIO m => m Bool Source #

Is the INTEL_performance_query extension supported?

gl_INTEL_performance_query :: Bool Source #

Is the INTEL_performance_query extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetINTELPerformanceQuery` in those cases instead.

# Enums

pattern GL_PERFQUERY_COUNTER_DATA_BOOL32_INTEL :: GLenum Source #

pattern GL_PERFQUERY_COUNTER_DATA_DOUBLE_INTEL :: GLenum Source #

pattern GL_PERFQUERY_COUNTER_DATA_FLOAT_INTEL :: GLenum Source #

pattern GL_PERFQUERY_COUNTER_DATA_UINT32_INTEL :: GLenum Source #

pattern GL_PERFQUERY_COUNTER_DATA_UINT64_INTEL :: GLenum Source #

pattern GL_PERFQUERY_COUNTER_DESC_LENGTH_MAX_INTEL :: GLenum Source #

pattern GL_PERFQUERY_COUNTER_DURATION_NORM_INTEL :: GLenum Source #

pattern GL_PERFQUERY_COUNTER_DURATION_RAW_INTEL :: GLenum Source #

pattern GL_PERFQUERY_COUNTER_EVENT_INTEL :: GLenum Source #

pattern GL_PERFQUERY_COUNTER_NAME_LENGTH_MAX_INTEL :: GLenum Source #

pattern GL_PERFQUERY_COUNTER_RAW_INTEL :: GLenum Source #

pattern GL_PERFQUERY_COUNTER_THROUGHPUT_INTEL :: GLenum Source #

pattern GL_PERFQUERY_COUNTER_TIMESTAMP_INTEL :: GLenum Source #

pattern GL_PERFQUERY_DONOT_FLUSH_INTEL :: GLenum Source #

pattern GL_PERFQUERY_FLUSH_INTEL :: GLenum Source #

pattern GL_PERFQUERY_GLOBAL_CONTEXT_INTEL :: GLbitfield Source #

pattern GL_PERFQUERY_GPA_EXTENDED_COUNTERS_INTEL :: GLenum Source #

pattern GL_PERFQUERY_QUERY_NAME_LENGTH_MAX_INTEL :: GLenum Source #

pattern GL_PERFQUERY_SINGLE_CONTEXT_INTEL :: GLbitfield Source #

pattern GL_PERFQUERY_WAIT_INTEL :: GLenum Source #

# Functions

glBeginPerfQueryINTEL Source #

Arguments

:: MonadIO m |
=> GLuint | `queryHandle`.
-> m () |

glCreatePerfQueryINTEL Source #

Arguments

:: MonadIO m |
=> GLuint | `queryId`.
-> Ptr GLuint | `queryHandle`.
-> m () |

glDeletePerfQueryINTEL Source #

Arguments

:: MonadIO m |
=> GLuint | `queryHandle`.
-> m () |

glEndPerfQueryINTEL Source #

Arguments

:: MonadIO m |
=> GLuint | `queryHandle`.
-> m () |

glGetFirstPerfQueryIdINTEL Source #

Arguments

:: MonadIO m |
=> Ptr GLuint | `queryId`.
-> m () |

glGetNextPerfQueryIdINTEL Source #

Arguments

:: MonadIO m |
=> GLuint | `queryId`.
-> Ptr GLuint | `nextQueryId`.
-> m () |

glGetPerfCounterInfoINTEL Source #

Arguments

:: MonadIO m |
=> GLuint | `queryId`.
-> GLuint | `counterId`.
-> GLuint | `counterNameLength`.
-> Ptr GLchar | `counterName`.
-> GLuint | `counterDescLength`.
-> Ptr GLchar | `counterDesc`.
-> Ptr GLuint | `counterOffset`.
-> Ptr GLuint | `counterDataSize`.
-> Ptr GLuint | `counterTypeEnum`.
-> Ptr GLuint | `counterDataTypeEnum`.
-> Ptr GLuint64 | `rawCounterMaxValue`.
-> m () |

glGetPerfQueryDataINTEL Source #

Arguments

:: MonadIO m |
=> GLuint | `queryHandle`.
-> GLuint | `flags`.
-> GLsizei | `dataSize`.
-> Ptr a | `data`.
-> Ptr GLuint | `bytesWritten`.
-> m () |

glGetPerfQueryIdByNameINTEL Source #

Arguments

:: MonadIO m |
=> Ptr GLchar | `queryName`.
-> Ptr GLuint | `queryId`.
-> m () |

glGetPerfQueryInfoINTEL Source #

Arguments

:: MonadIO m |
=> GLuint | `queryId`.
-> GLuint | `queryNameLength`.
-> Ptr GLchar | `queryName`.
-> Ptr GLuint | `dataSize`.
-> Ptr GLuint | `noCounters`.
-> Ptr GLuint | `noInstances`.
-> Ptr GLuint | `capsMask`.
-> m () |